package net.wanji.web.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import net.wanji.web.po.SpecialServiceCrossPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/8 14:48
 */
@Repository
@DS("webService")
public interface SpecialServiceCrossMapper {
    void insertOne(SpecialServiceCrossPO specialServiceCrossPO);

    Integer getMaxSort(@Param("specialServiceId") Integer specialServiceId);

    String selectCrossIdBySort(@Param("specialServiceId") Integer specialServiceId,
                               @Param("preSort") Integer preSort);

    List<SpecialServiceCrossPO> selectBySpecialServiceId(@Param("specialServiceId") Integer specialServiceId);

    Integer selectStartCrossInDir(@Param("specialServiceId") Integer specialServiceId,
                                 @Param("startCrossid") String startCrossid);

    void updateTurn(@Param("specialServiceId") Integer specialServiceId,
                    @Param("startCrossid") String startCrossid,
                    @Param("turntype") String turntype);

    void updatDir(@Param("specialServiceId") Integer specialServiceId,
                  @Param("crossId") String crossId,
                  @Param("dir") Integer dir);

    void deleteCross(@Param("specialServiceId") Integer specialServiceId,
                     @Param("crossId") String crossId);

    void updateStatusSuccess(@Param("specialServiceId") Integer specialServiceId,
                             @Param("crossId") String crossId);

    void updateStatusFail(@Param("specialServiceId") Integer specialServiceId,
                          @Param("crossId") String crossId);

    void updateDir(@Param("specialServiceId") Integer specialServiceId,
                   @Param("endCrossid")String endCrossid,
                   @Param("endDirInt")Integer endDirInt);

    void deleteCrossBySpecialServiceId(@Param("id") Integer id);
}
