package net.wanji.web.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import net.wanji.web.po.SpecialServicePO;
import net.wanji.web.vo.specialService.UpdateSpecialServiceInVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/8 11:14
 */
@Repository
@DS("webService")
public interface SpecialServiceMapper {
    void insertOne(SpecialServicePO specialServicePO);

    List<SpecialServicePO> selectByAdCode(@Param("adCode") String adCode);

    void updateSpecialService(UpdateSpecialServiceInVO updateSpecialServiceInVO);

    void deleteSpecialService(@Param("id") Integer id);

    void updateLength(@Param("specialServiceId") Integer specialServiceId,
                      @Param("roadLength") Double roadLength);

    Double selectRoadLength(@Param("specialServiceId") Integer specialServiceId);

    void updateStatusEnable(@Param("specialServiceId") Integer specialServiceId);

    void updateStatusDisable(@Param("specialServiceId") Integer specialServiceId);
}
